SUMMARY = "Tools for ethernet bridging"
HOMEPAGE = "http://www.linuxfoundation.org/collaborate/workgroups/networking/bridge"
SECTION = "console/network"
LICENSE = "GPLv2"

DEPENDS = "sysfsutils"

SRC_URI = "${SOURCEFORGE_MIRROR}/bridge/bridge-utils-${PV}.tar.gz \
          file://bridge-utils-1.5-check-error-returns-from-write-to-sysfs.patch \
          file://bridge-utils-1.5-fix-error-message-for-incorrect-command.patch \
          file://bridge-utils-1.5-fix-incorrect-command-in-manual.patch \
"

inherit autotools

EXTRA_OECONF = "--with-linux-headers=${STAGING_INCDIR}"

do_install_append () {
    mv ${D}${sbindir}/brctl ${D}${sbindir}/brctl.${PN}
    install -d ${D}/${datadir}/bridge-utils
    install -d ${D}/${sysconfdir}/network/if-pre-up.d
    install -d ${D}/${sysconfdir}/network/if-post-down.d
}

RRECOMMENDS_${PN} = "kernel-module-bridge"

pkg_postinst_${PN} () {
    update-alternatives --install ${sbindir}/brctl brctl brctl.${PN} 100
}

pkg_prerm_${PN} () {
    update-alternatives --remove brctl brctl.${PN}
}
